(TeX-add-style-hook "amsppt"
 (function
  (lambda ()
    (LaTeX-add-environments
     "ref"
     "Refs"
     "block"
     "roster"
     "example"
     "definition"
     "demo"
     "remark"
     "proclaim"
     "specialhead"
     "topmatter"
     "toc"
     "abstract")
    (TeX-add-symbols
     "enddocument"
     "endquotes"
     "endblock"
     "filename"
     "styname"
     "styversion"
     "nofrillscheck"
     "addto"
     "big"
     "Big"
     "bigg"
     "Bigg"
     "ss"
     "i"
     "j"
     "ae"
     "oe"
     "o"
     "aa"
     "l"
     "noexpand"
     "sevenex"
     "eightex"
     "eightsmc"
     "tenpoint"
     "big"
     "Big"
     "bigg"
     "Bigg"
     "eightpoint"
     "big"
     "Big"
     "bigg"
     "Bigg"
     "linespacing"
     "PSAMSFonts"
     "normalparindent"
     "indenti"
     "magnification"
     "topmatter"
     "chapter"
     "chapter"
     "chapter"
     "title"
     "title"
     "title"
     "author"
     "affil"
     "address"
     "curraddr"
     "curraddr"
     "curraddr"
     "noexpand"
     "email"
     "email"
     "email"
     "usualspace"
     "tildechar"
     "urladdr"
     "urladdr"
     "urladdr"
     "usualspace"
     "date"
     "thanks"
     "keywords"
     "keywords"
     "keywords"
     "usualspace"
     "subjclass"
     "subjclass"
     "subjclass"
     "usualspace"
     "abstract"
     "usualspace"
     "widestnumber"
     "head"
     "subhead"
     "subsubhead"
     "Monograph"
     "headmark"
     "pagenumwd"
     "newtocdefs"
     "page"
     "pretitle"
     "preauthor"
     "preaffil"
     "predate"
     "preabstract"
     "prepaper"
     "dedicatory"
     "preabstract"
     "translator"
     "translator"
     "translator"
     "aboveheadskip"
     "belowheadskip"
     "nobreak"
     "heading"
     "subheading"
     "abovespecialheadskip"
     "head"
     "headmark"
     "subheadskip"
     "subhead"
     "subhead"
     "subhead"
     "usualspace"
     "subsubheadskip"
     "subsubhead"
     "subsubhead"
     "subsubhead"
     "usualspace"
     "proclaimfont"
     "preproclaimskip"
     "postproclaimskip"
     "proclaim"
     "usualspace"
     "remarkfont"
     "remarkskip"
     "remark"
     "usualspace"
     "qed"
     "postdemoskip"
     "definitionfont"
     "predefinitionskip"
     "postdefinitionskip"
     "definition"
     "usualspace"
     "rosteritemwd"
     "item"
     "therosteritem"
     "item"
     "Runinitem"
     "item"
     "thefootnotemark"
     "footnotemark"
     "footnotetext"
     "footnote"
     "adjustfootnotemark"
     "footnoterule"
     "topcaption"
     "botcaption"
     "vspace"
     "captionwidth"
     "cite"
     "rom"
     "refindentwd"
     "Refsname"
     "Refs"
     "nofrills"
     "defaultreftexts"
     "curbox"
     "key"
     "no"
     "by"
     "manyby"
     "bysame"
     "paper"
     "paperinfo"
     "jour"
     "issue"
     "yr"
     "pages"
     "page"
     "ed"
     "eds"
     "book"
     "bookinfo"
     "publ"
     "publaddr"
     "inbook"
     "procinfo"
     "finalinfo"
     "miscnote"
     "toappear"
     "lang"
     "vol"
     "makerefbox"
     "curbox"
     "refbreaks"
     "refconcat"
     "holdover"
     "break"
     "vadjust"
     "newpage"
     "refstyle"
     "keyformat"
     "keyformat"
     "keyformat"
     "finalpunct"
     "continuepunct"
     "nofrillscheck"
     "breakcheck"
     "moreref"
     "finalpunct"
     "finalpunct"
     "curbox"
     "transl"
     "plainend"
     "folio"
     "leftheadline"
     "rightheadline"
     "leftheadtext"
     "leftheadtext"
     "leftheadtext"
     "rightheadtext"
     "rightheadtext"
     "rightheadtext"
     "chapter"
     "chapter"
     "NoRunningHeads"
     "headmark"
     "NoPageNumbers"
     "headlineheight"
     "headlinespace"
     "dropfoliodepth"
     "pagewidth"
     "pageheight"
     "nologo"
     "flheadline"
     "frheadline"
     "break"
     "makeheadline"
     "makefootline"
     "rightheadline"
     "leftheadline"
     "makefootline"
     "makeheadline"
     "pagecontents"
     "makeheadline"
     "makefootline")
    (TeX-run-style-hooks
     "amsppt"))))

