(TeX-add-style-hook "eplain"
 (function
  (lambda ()
    (LaTeX-add-environments
     "verbatim"
     "unorderedlist"
     "orderedlist"
     "numberedlist"
     "environment")
    (TeX-add-symbols
     "endcolumns"
     "endif"
     "endlist"
     "makeactive"
     "letter"
     "other"
     "uncatcodespecials"
     "eattoken"
     "gobble"
     "gobbletwo"
     "gobblethree"
     "identity"
     "ifempty"
     "sanitize"
     "ifundefined"
     "csn"
     "ece"
     "expandonce"
     "wlog"
     "gloggingall"
     "loggingall"
     "tracingboxes"
     "gtracingoff"
     "tracingoff"
     "vpenalty"
     "hpenalty"
     "iterate"
     "edefappend"
     "hookprepend"
     "hookappend"
     "hookaction"
     "hookactiononce"
     "noexpand"
     "hookrun"
     "temp"
     "setproperty"
     "getproperty"
     "cs"
     "extension"
     "bibliographystyle"
     "bibstyle"
     "bblfilebasename"
     "bibliography"
     "bibdata"
     "nocite"
     "cite"
     "begin"
     "end"
     "bibitem"
     "biblabelprecontents"
     "biblabelpostcontents"
     "biblabelprecontents"
     "biblabelpostcontents"
     "em"
     "newblock"
     "sc"
     "biblabelprint"
     "biblabelcontents"
     "bblrm"
     "bblem"
     "bblsc"
     "bblnewblock"
     "bblhook"
     "printcitestart"
     "printcitefinish"
     "printbetweencitations"
     "printcitenote"
     "citation"
     "newcommand"
     "auxfile"
     "for"
     "futurenonspacelet"
     "iffileexists"
     "innerdef"
     "innernewcount"
     "innernewdimen"
     "innernewif"
     "innernewwrite"
     "linenumber"
     "readauxfile"
     "spacesub"
     "testfileexistence"
     "writeaux"
     "innerinnerdef"
     "immediatewriteaux"
     "blanklineskipamount"
     "frac"
     "hruledefaultheight"
     "hruledefaultdepth"
     "vruledefaultwidth"
     "ehrule"
     "evrule"
     "sc"
     "temp"
     "uppercasesc"
     "uppercasesc"
     "TeX"
     "AmS"
     "AMS"
     "AmSLaTeX"
     "AMSLaTeX"
     "AmSTeX"
     "AMSTEX"
     "AMSTeX"
     "BibTeX"
     "BIBTeX"
     "BIBTEX"
     "LAMSTeX"
     "LamSTeX"
     "LAmSTeX"
     "LaTeX"
     "LATEX"
     "manfnt"
     "manfntsl"
     "MF"
     "manfnt"
     "METAFONT"
     "SLITEX"
     "SLiTeX"
     "SliTeX"
     "SLITeX"
     "pathafterhook"
     "blackbox"
     "makeblankbox"
     "hidehrule"
     "hidevrule"
     "boxitspace"
     "boxit"
     "numbername"
     "newif"
     "newdimen"
     "tenln"
     "thinlines"
     "thicklines"
     "drawline"
     "drawvector"
     "lft"
     "rt"
     "generalsmap"
     "sline"
     "arrow"
     "bisline"
     "biarrow"
     "adjarrow"
     "temp"
     "temp"
     "temp"
     "plnmorph"
     "lftmorph"
     "rtmorph"
     "generalhmap"
     "temp"
     "temp"
     "temp"
     "mapright"
     "mapleft"
     "bimapright"
     "bimapleft"
     "adjmapright"
     "adjmapleft"
     "hline"
     "bihline"
     "drawrightarrow"
     "drawleftarrow"
     "drawbirightarrow"
     "drawbileftarrow"
     "drawadjrightarrow"
     "drawadjleftarrow"
     "drawhline"
     "drawbihline"
     "generalvmap"
     "temp"
     "temp"
     "temp"
     "mapdown"
     "mapup"
     "bimapdown"
     "bimapup"
     "adjmapdown"
     "adjmapup"
     "vline"
     "bivline"
     "drawdownarrow"
     "drawuparrow"
     "drawbidownarrow"
     "drawbiuparrow"
     "drawadjdownarrow"
     "drawadjuparrow"
     "drawvline"
     "drawbivline"
     "commdiag"
     "commdiagbaselines"
     "gridcommdiag"
     "harrowlength"
     "varrowlength"
     "sarrowlength"
     "hmorphposn"
     "vmorphposn"
     "morphdist"
     "hmorphposnrt"
     "hmorphposnlft"
     "vmorphposnrt"
     "vmorphposnlft"
     "hmorphposnup"
     "hmorphposndn"
     "vmorphposnup"
     "vmorphposndn"
     "hgrid"
     "vgrid"
     "hchannel"
     "vchannel"
     "channelwidth"
     "newif"
     "newdimen"
     "checkenv"
     "leftdisplayindent"
     "leftdisplays"
     "eqno"
     "leqno"
     "centereddisplays"
     "eqno"
     "leqno"
     "eqalignno"
     "leqalignno"
     "leftdisplaysetup"
     "displaylines"
     "eqalignno"
     "noalign"
     "leqalignno"
     "eqno"
     "monthname"
     "fullmonthname"
     "timestring"
     "timestamp"
     "today"
     "abovelistskipamount"
     "abovelistpenalty"
     "abovelistskip"
     "interitemskipamount"
     "belowlistpenalty"
     "belowlistskip"
     "belowlistskipamount"
     "interitempenalty"
     "interitemskip"
     "listleftindent"
     "listrightindent"
     "listmarkerspace"
     "listcompact"
     "beginlist"
     "li"
     "writeitemxref"
     "printitem"
     "printmarker"
     "numberedlistdepth"
     "itemnumber"
     "itemletter"
     "itemromannumeral"
     "numberedmarker"
     "printitemnumber"
     "printitemletter"
     "printitemromannumeral"
     "numberedprintmarker"
     "marker"
     "printmarker"
     "unorderedlistdepth"
     "unorderedmarker"
     "unorderedprintmarker"
     "marker"
     "printmarker"
     "listing"
     "setuplistinghook"
     "linenumberedlisting"
     "printlistinglineno"
     "listingfont"
     "verbatimescapechar"
     "definecontentsfile"
     "opencontentsfile"
     "writecontentsentry"
     "writenumberedcontentsentry"
     "temp"
     "readcontentsfile"
     "tocchapterentry"
     "tocsectionentry"
     "tocsubsectionentry"
     "ifxrefwarning"
     "xrefwarningtrue"
     "ifxrefwarning"
     "xrefwarningfalse"
     "ifxrefwarning"
     "xrdef"
     "definexref"
     "xrefn"
     "refn"
     "xref"
     "amsref"
     "ref"
     "ref"
     "eplainref"
     "refs"
     "eqnumber"
     "subeqnumber"
     "eqdefn"
     "temp"
     "temp"
     "eqrefn"
     "eqsubdefn"
     "eqrefn"
     "eqsubreftext"
     "eqdef"
     "eqsubdef"
     "eqno"
     "eqno"
     "eqrefn"
     "eqref"
     "eqconstruct"
     "eqprint"
     "eqsubreftext"
     "extraidxcmdsuffixes"
     "defineindex"
     "noexpand"
     "indexfilebasename"
     "temp"
     "indexprooffont"
     "indexproofterm"
     "makeheadline"
     "indexsetmargins"
     "insidemargin"
     "indexproofunbox"
     "idxrangebeginword"
     "idxbeginrangemark"
     "idxrangeendword"
     "idxendrangemark"
     "idxseecmdword"
     "idxseealsocmdword"
     "idxpagemarkupcmdword"
     "temp"
     "temp"
     "idxsubentryseparator"
     "idxencapoperator"
     "idxmaxpagenum"
     "temp"
     "idxsortkeysep"
     "idxnameseparator"
     "temp"
     "indexfonts"
     "readindexfile"
     "begin"
     "end"
     "item"
     "subitem"
     "subsubitem"
     "indexspace"
     "afterindexterm"
     "aboveindexitemskipamount"
     "aboveindexitemskip"
     "seevariant"
     "indexseeword"
     "indexsee"
     "indexseealsowords"
     "indexseealso"
     "temp"
     "abovecolumnspenalty"
     "currentcolumn"
     "makecolumns"
     "footnotenumber"
     "footnotemarkseparation"
     "interfootnoteskip"
     "footnoterulewidth"
     "footnoteruleheight"
     "belowfootnoterulespace"
     "vfootnote"
     "footnoterule"
     "numberedfootnote"
     "paperheight"
     "topmargin"
     "advancetopmargin"
     "bottommargin"
     "advancebottommargin"
     "paperwidth"
     "leftmargin"
     "advanceleftmargin"
     "rightmargin"
     "advancerightmargin"
     "abovecolumnskip"
     "belowcolumnskip"
     "gutter"
     "quadcolumns"
     "triplecolumns"
     "doublecolumns"
     "begincolumns"
     "gutterbox"
     "singlecolumn"
     "columnfill"
     "wlog"
     "fmtname"
     "eplain"))))

