(TeX-add-style-hook "frplain"
 (function
  (lambda ()
    (LaTeX-add-index-entries
     "\\bgroup\\ifFrench\\@DFP\\fi%
                       \\expandafter\\egroup\\@iORI")
    (LaTeX-add-environments
     "french"
     "guillemets"
     "fguillemets"
     "nonfrench"
     "figurette"
     "versatim"
     "order"
     "theglossary"
     "motsclef"
     "keywords"
     "resume"
     "abstract"
     "table"
     "figure")
    (TeX-add-symbols
     "endenglish"
     "endletter"
     "enddocumentasusual"
     "endL"
     "enddocument"
     "endtable"
     "frenchname"
     "protect"
     "protect"
     "ErrFrench"
     "ifFTY"
     "ifFTR"
     "ifFG"
     "ifFLA"
     "ifFMA"
     "ifFH"
     "makeatletter"
     "makeatother"
     "resetat"
     "GOfrench"
     "FSfv"
     "newwrite"
     "protect"
     "typeout"
     "protect"
     "protect"
     "ier"
     "frenchstyleid"
     "protect"
     "ifFrench"
     "originalinput"
     "originaloutput"
     "fussy"
     "sloppy"
     "pcomma"
     "date"
     "vspace"
     "ifFLA"
     "see"
     "printindex"
     "theindex"
     "ifFLA"
     "subsee"
     "nosee"
     "seealso"
     "textwidth"
     "leftmargin"
     "rightmargin"
     "columnsep"
     "listparindent"
     "clearpage"
     "ifFTY"
     "ifFTY"
     "pmfrench"
     "frenchname"
     "ifLPLAIN"
     "ifLPLAIN"
     "normalfont"
     "small"
     "normalsize"
     "large"
     "dcdo"
     "ifECM"
     "ifECM"
     "mathrm"
     "ifGIAF"
     "ly"
     "ly"
     "ly"
     "ly"
     "rmdefault"
     "mdseries"
     "mdseries"
     "frenchhyphenation"
     "nofrenchhyphenation"
     "frenchtypography"
     "nofrenchtypography"
     "nofrenchtranslation"
     "frenchtranslation"
     "noeveryparguillemets"
     "everyparguillemets"
     "nofrenchlayout"
     "frenchlayout"
     "nofrenchmacros"
     "frenchmacros"
     "frenchhyphenation"
     "accenthyphcodes"
     "hyphenation"
     "showhyphens"
     "nofrenchhyphenation"
     "hyphenation"
     "nofrenchtypography"
     "ifFTY"
     "frenchtypography"
     "ifFTY"
     "ifLPA"
     "nofrenchtranslation"
     "ifFTR"
     "frenchtranslation"
     "ifFTR"
     "frenchguillemets"
     "ifFG"
     "guillemotleft"
     "guillemotright"
     "nofrenchguillemets"
     "ifFG"
     "guillemotleft"
     "guillemotright"
     "noeveryparguillemets"
     "ifEPG"
     "everyparguillemets"
     "ifEPG"
     "nofrenchlayout"
     "ifFLA"
     "frenchlayout"
     "ifFLA"
     "nofrenchmacros"
     "ifFMA"
     "frenchmacros"
     "ifFMA"
     "verb"
     "usersfrenchoptions"
     "frenchspacing"
     "special"
     "newcount"
     "newdimen"
     "newbox"
     "GOfrench"
     "pmfrench"
     "noeveryparguillemets"
     "footnotesize"
     "Huge"
     "lettrinefont"
     "quotation"
     "noresetatpart"
     "bibitem"
     "ifMOVING"
     "label"
     "ifCG"
     "addcontentsline"
     "ifFrench"
     "list"
     "thanks"
     "ifFTY"
     "ifFTY"
     "footnote"
     "ifMOVING"
     "ifMOVING"
     "footnote"
     "footnote"
     "ifMOVING"
     "thempfn"
     "caption"
     "ifMOVING"
     "thempfn"
     "ifMOVING"
     "ifMOVING"
     "hyphex"
     "frhyphex"
     "ifFTY"
     "ifFTR"
     "ifFLA"
     "ifFMA"
     "ifFH"
     "ErrFrench"
     "ErrFrench"
     "GOfrench"
     "allowfulluchyph"
     "allowuchyph"
     "disallowuchyph"
     "notthyphenation"
     "ifTTH"
     "tthyphenation"
     "ifTTH"
     "ifTTH"
     "ifFH"
     "hyphex"
     "frhyphex"
     "unnumberedcaptions"
     "unnumberedcaptions"
     "captionsnames"
     "ifnonenglishheadings"
     "tocreduite"
     "section"
     "chapter"
     "tableofcontents"
     "sommaire"
     "annexe"
     "annexes"
     "thechapter"
     "protect"
     "glossaire"
     "glossaires"
     "glossaryentry"
     "pfill"
     "printglossary"
     "datefrench"
     "todayfrench"
     "ier"
     "captionsfrench"
     "pagename"
     "refname"
     "abstractname"
     "bibname"
     "contentsname"
     "listfigurename"
     "listtablename"
     "indexname"
     "seename"
     "seealsoname"
     "figurename"
     "tablename"
     "sommairename"
     "partname"
     "thepart"
     "glossaryname"
     "kwname"
     "draftname"
     "prefacename"
     "headtoname"
     "ccname"
     "enclname"
     "PSname"
     "Objectname"
     "YourRefname"
     "OurRefname"
     "chaptername"
     "appendixname"
     "captionsnames"
     "today"
     "today"
     "labelfrenchenumi"
     "labelfrenchenumii"
     "labelfrenchenumiii"
     "labelfrenchenumiv"
     "makelabel"
     "dospecials"
     "tt"
     "vers"
     "dospecials"
     "wideletter"
     "email"
     "emailadd"
     "emailadd"
     "yourref"
     "ourref"
     "object"
     "PS"
     "opening"
     "fromaddress"
     "closing"
     "fclosing"
     "ifFLA"
     "ifMOVING"
     "newcounter"
     "secdef"
     "nopagenumbers"
     "ifFLA"
     "nonvoidtrue"
     "ifnonvoid"
     "nonvoidfalse"
     "ifnonvoid"
     "automaticlettrine"
     "lettrinefontname"
     "noautomaticlettrine"
     "lettrinefontname"
     "lettrinefont"
     "lettrine"
     "newpage"
     "clearpage"
     "cleardoublepage"
     "ly"
     "dimentocount"
     "lettrinefont"
     "advance"
     "newpage"
     "ly"
     "flettrine"
     "ifFrench"
     "dospecials"
     "AFPdp"
     "AFPinfsup"
     "AFPq"
     "AFPdq"
     "dospecials"
     "DFPq"
     "DFPinfsup"
     "DFPdp"
     "DFPdq"
     "TeXdots"
     "dots"
     "ldots"
     "noTeXdots"
     "dots"
     "ldots"
     "idotless"
     "iwithdot"
     "AFPdp"
     "ifFG"
     "ifCG"
     "ifDOG"
     "ifDOG"
     "ifCG"
     "ifFTY"
     "ifCG"
     "noenglishdoublequotes"
     "ifNED"
     "noenglishquote"
     "ifNEQ"
     "englishdoublequotes"
     "ifNED"
     "englishquote"
     "ifNEQ"
     "labelsinmargin"
     "nolabelsinmargin"
     "untypedspaces"
     "ifUSP"
     "typedspaces"
     "ifUSP"
     "letpunctuationactivefor"
     "ifLPA"
     "wrongtypedspaces"
     "ifWTS"
     "wrongtypedspaces"
     "nowrongtypedspaces"
     "ifWTS"
     "ifLPA"
     "tabbingaccents"
     "notabbingaccents"
     "tabbing"
     "EBCDICbrackets"
     "ifIEB"
     "normalbrackets"
     "ifIEB"
     "ifFG"
     "ancientguillemets"
     "ifAG"
     "todayguillemets"
     "ifAG"
     "guillemetsinallfonts"
     "ifGIAF"
     "guillemetsinroman"
     "ifGIAF"
     "overfullhboxmark"
     "nooverfullhboxmark"
     "ifFrench"
     "ifFrench"
     "switchtolanguage"
     "extrasfrench"
     "switchtolanguage"
     "switchtolanguage"
     "ifFrench"
     "noextrasfrench"
     "frenchtest"
     "frenchdoc"
     "ERRdat"
     "abbrevfilename"
     "abbreviations"
     "ABBfound"
     "ifABBfound"
     "ifABBfound"
     "ifFMA"
     "AbbrevName"
     "ABBMfalse"
     "ifABBM"
     "ifABBM"
     "ifABBfound"
     "noabbreviations"
     "at"
     "vert"
     "backslash"
     "chap"
     "tilde"
     "numero"
     "Numero"
     "numeros"
     "Numeros"
     "degres"
     "leftguillemets"
     "rightguillemets"
     "fup"
     "ieme"
     "iemes"
     "ier"
     "iers"
     "iere"
     "ieres"
     "fsc"
     "protect"
     "lsc"
     "quando"
     "primo"
     "secundo"
     "tertio"
     "quarto"
     "quatro"
     "minMAJ"
     "refmark"
     "bf"
     "moretolerance"
     "I"
     "Sauter"
     "AllTeX"
     "upC"
     "upC"
     "beginlanguage"
     "GOfrench"
     "GOfrench"
     "contentsname"
     "listfigurename"
     "listtablename"
     "bibname"
     "indexname"
     "figurename"
     "tablename"
     "partname"
     "chaptername"
     "appendixname")
    (TeX-run-style-hooks
     "babel"))))

