(TeX-add-style-hook "hyperref"
 (function
  (lambda ()
    (LaTeX-add-environments
     "subeqnarray"
     "eqnarray"
     "equation"
     "NoHyper"
     "Form")
    (TeX-add-symbols
     '("pdfbookmark" ["argument"] 2)
     "x"
     "MaybeStopEarly"
     "pdfstringdef"
     "P"
     "ldots"
     "dots"
     "newline"
     "TeX"
     "LaTeX"
     "LaTeXe"
     "eTeX"
     "MF"
     "emph"
     "textbf"
     "textit"
     "textmd"
     "textnormal"
     "textrm"
     "textsc"
     "textsf"
     "textsl"
     "texttt"
     "textup"
     "ttfamily"
     "sffamily"
     "itshape"
     "upshape"
     "bfseries"
     "rm"
     "Huge"
     "LARGE"
     "Large"
     "footnotesize"
     "huge"
     "large"
     "normalsize"
     "scriptsize"
     "small"
     "tiny"
     "textlatin"
     "glqq"
     "grqq"
     "glq"
     "grq"
     "flqq"
     "frqq"
     "flq"
     "frq"
     "hspace"
     "label"
     "index"
     "glossary"
     "href"
     "ref"
     "pageref"
     "leavevmode"
     "halign"
     "xspace"
     "xspace"
     "bgroup"
     "egroup"
     "discretionary"
     "GenericError"
     "GenericWarning"
     "GenericInfo"
     "def"
     "gdef"
     "edef"
     "xdef"
     "futurelet"
     "let"
     "texorpdfstring"
     "pdfstringdefPreHook"
     "pdfstringdefPostHook"
     "pdfstringdefDisableCommands"
     "pdfstringdefWarn"
     "tocpart"
     "tocchapter"
     "tocappendix"
     "tocsection"
     "tocsubsection"
     "tocsubsubsection"
     "tocparagraph"
     "x"
     "space"
     "Acrobatmenu"
     "HyperRaiseLinkLength"
     "HyperRaiseLinkHook"
     "HyperRaiseLinkDefault"
     "noexpand"
     "noexpand"
     "BeforeTeXIVht"
     "MaybeStopEarly"
     "MaybeStopEarly"
     "hyperbaseurl"
     "hyperlinkfileprefix"
     "setpdflinkmargin"
     "hypersetup"
     "ExecuteOptions"
     "ExecuteOptions"
     "ProcessOptionsWithKV"
     "ReadBookmarks"
     "Acrobatmenu"
     "ReadBookmarks"
     "WriteBookmarks"
     "WriteBookmarks"
     "ReadBookmarks"
     "WriteBookmarks"
     "MaybeStopEarly"
     "autoref"
     "ReadBookmarks"
     "WriteBookmarks"
     "pdfoutput"
     "pdfoutput"
     "hyper"
     "hyperlink"
     "href"
     "Hurl"
     "url"
     "hyperimage"
     "hyper"
     "hypertarget"
     "hyperref"
     "hyperdef"
     "htmladdimg"
     "htmladdnormallink"
     "htmladdnormallinkfoot"
     "htmlref"
     "hhyperref"
     "hyperref"
     "LayoutTextField"
     "LayoutChoiceField"
     "LayoutCheckField"
     "LayoutPushButtonField"
     "MakeRadioField"
     "MakeCheckField"
     "MakeTextField"
     "MakeChoiceField"
     "MakeButtonField"
     "DefaultHeightofSubmit"
     "DefaultWidthofSubmit"
     "DefaultHeightofReset"
     "DefaultWidthofReset"
     "DefaultHeightofCheckBox"
     "DefaultWidthofCheckBox"
     "DefaultHeightofChoiceMenu"
     "DefaultWidthofChoiceMenu"
     "DefaultHeightofText"
     "DefaultWidthofText"
     "string"
     "string"
     "string"
     "string"
     "string"
     "newlabel"
     "arabic"
     "Roman"
     "roman"
     "Alph"
     "alph"
     "HyPL"
     "theHequation"
     "theHpart"
     "theHsection"
     "theHfigure"
     "theHtable"
     "theHchapter"
     "theHfigure"
     "theHtable"
     "theHsection"
     "theHsubsection"
     "theHsubsubsection"
     "theHparagraph"
     "theHsubparagraph"
     "theHtheorem"
     "theHthm"
     "theHItem"
     "item"
     "theHenumi"
     "theHenumii"
     "theHenumiii"
     "theHenumiv"
     "theHHfootnote"
     "theHmpfootnote"
     "theHHmpfootnote"
     "appendix"
     "refstepcounter"
     "theHequation"
     "appendix"
     "textlatin"
     "textlatin"
     "refstepcounter"
     "theHequation"
     "refstepcounter"
     "theHequation"
     "theHequation"
     "theHsubequation"
     "newname"
     "maketitle"
     "realfootnote"
     "caption"
     "bibcite"
     "protect"
     "protect"
     "harvardcite"
     "harvarditem"
     "protect"
     "citeN"
     "citeauthoryear"
     "shortciteN"
     "citeauthoryear"
     "pagenumbering"
     "HYPERPAGEANCHOR"
     "hyper"
     "textlatin"
     "addcontentsline"
     "label"
     "textlatin"
     "contentsline"
     "hyperpage"
     "ext"
     "ext"
     "theHslide"
     "theHslidesection"
     "theHslidesubsection"
     "listslidename"
     "listofslides"
     "figurename"
     "tablename"
     "partname"
     "appendixname"
     "equationname"
     "Itemname"
     "chaptername"
     "sectionname"
     "subsectionname"
     "subsubsectionname"
     "paragraphname"
     "FancyVerbLinename"
     "Hfootnotename"
     "AMSname"
     "theoremname"
     "phantomsection")
    (TeX-run-style-hooks
     "color"
     "pd1enc"
     "puenc"))))

