(TeX-add-style-hook "latex"
 (function
  (lambda ()
    (LaTeX-add-index-entries
     "\\@bsphack\\begingroup
             \\@sanitize
             \\@wrindex"
     "\\@bsphack\\begingroup \\@sanitize\\@index")
    (LaTeX-add-environments
     "sloppypar"
     "tabular"
     "array"
     "minipage"
     "lrbox"
     "itemize"
     "enumerate"
     "trivlist"
     "list"
     "eqnarray"
     "equation"
     "displaymath"
     "math"
     "verbatim"
     "flushright"
     "flushleft"
     "center")
    (TeX-add-symbols
     "endfilecontents"
     "enddocument"
     "endline"
     "endgraf"
     '("qbezier" ["argument"] 1)
     "active"
     "bgroup"
     "egroup"
     "typeout"
     "dospecials"
     "space"
     "loop"
     "iterate"
     "iterate"
     "repeat"
     "ProvidesFile"
     "IfFileExists"
     "active"
     "dospecials"
     "wlog"
     "newcount"
     "newdimen"
     "newskip"
     "newmuskip"
     "newbox"
     "newhelp"
     "newtoks"
     "newread"
     "newwrite"
     "newlanguage"
     "newinsert"
     "maxdimen"
     "hideskip"
     "inputlineno"
     "language"
     "lefthyphenmin"
     "righthyphenmin"
     "errorcontextlines"
     "holdinginserts"
     "emergencystretch"
     "badness"
     "noboundary"
     "setlanguage"
     "normalbaselineskip"
     "normallineskip"
     "normallineskiplimit"
     "interfootnotelinepenalty"
     "magstephalf"
     "magstep"
     "frenchspacing"
     "nonfrenchspacing"
     "normalbaselines"
     "lq"
     "rq"
     "lbrack"
     "rbrack"
     "space"
     "empty"
     "null"
     "bgroup"
     "egroup"
     "obeyspaces"
     "iterate"
     "iterate"
     "repeat"
     "nointerlineskip"
     "offinterlineskip"
     "vglue"
     "hglue"
     "slash"
     "break"
     "nobreak"
     "allowbreak"
     "filbreak"
     "goodbreak"
     "eject"
     "removelastskip"
     "smallbreak"
     "medbreak"
     "bigbreak"
     "underbar"
     "strut"
     "hidewidth"
     "narrower"
     "leavevmode"
     "mathhexbox"
     "ialign"
     "oalign"
     "ooalign"
     "hrulefill"
     "dotfill"
     "showoverfull"
     "fmtname"
     "typeout"
     "typein"
     "newcommand"
     "renewcommand"
     "newenvironment"
     "renewenvironment"
     "newif"
     "providecommand"
     "CheckCommand"
     "DeclareRobustCommand"
     "protect"
     "protect"
     "protect"
     "protect"
     "protect"
     "protect"
     "makeatletter"
     "makeatother"
     "MessageBreak"
     "MessageBreak"
     "MessageBreak"
     "MessageBreak"
     "MessageBreak"
     "MessageBreak"
     "MessageBreak"
     "PackageWarning"
     "PackageWarningNoLine"
     "PackageInfo"
     "ClassWarning"
     "ClassWarningNoLine"
     "ClassInfo"
     "protect"
     "pagebreak"
     "nopagebreak"
     "linebreak"
     "nolinebreak"
     "samepage"
     "addvspace"
     "addpenalty"
     "smallskip"
     "medskip"
     "bigskip"
     "smallskipamount"
     "medskipamount"
     "bigskipamount"
     "fill"
     "stretch"
     "thinspace"
     "negthinspace"
     "enspace"
     "enskip"
     "quad"
     "qquad"
     "TeX"
     "normalsfcodes"
     "normalsfcodes"
     "AtBeginDocument"
     "normalsfcodes"
     "nofiles"
     "makeindex"
     "makeglossary"
     "thepage"
     "protect"
     "includeonly"
     "include"
     "input"
     "listfiles"
     "listfiles"
     "DeclareTextCommand"
     "ProvideTextCommand"
     "DeclareTextSymbol"
     "DeclareTextCommandDefault"
     "ProvideTextCommandDefault"
     "DeclareTextAccent"
     "DeclareTextCompositeCommand"
     "DeclareTextComposite"
     "UseTextSymbol"
     "UseTextAccent"
     "DeclareTextSymbolDefault"
     "DeclareTextAccentDefault"
     "UndeclareTextCommand"
     "a"
     "ldots"
     "setcounter"
     "addtocounter"
     "newcounter"
     "value"
     "stepcounter"
     "arabic"
     "roman"
     "Roman"
     "alph"
     "Alph"
     "fnsymbol"
     "newlength"
     "setlength"
     "addtolength"
     "settoheight"
     "settodepth"
     "settowidth"
     "mathgroup"
     "newfam"
     "DeclareFontShape"
     "DeclareFixedFont"
     "DeclareFontFamily"
     "DeclareFontEncoding"
     "LastDeclaredEncoding"
     "DeclareFontSubstitution"
     "DeclareFontEncodingDefaults"
     "DeclarePreloadSizes"
     "DeclareMathSizes"
     "usefont"
     "x"
     "typeout"
     "DeclareErrorFont"
     "defaultscriptratio"
     "defaultscriptscriptratio"
     "tracingfonts"
     "baselinestretch"
     "baselinestretch"
     "DeclareSizeFunction"
     "fontsubfuzz"
     "addtoversion"
     "DeclareMathVersion"
     "DeclareSymbolFont"
     "SetSymbolFont"
     "DeclareMathAlphabet"
     "SetMathAlphabet"
     "DeclareMathAccent"
     "DeclareMathSymbol"
     "DeclareMathDelimiter"
     "mathalpha"
     "DeclareMathRadical"
     "mathalpha"
     "DeclareSymbolFontAlphabet"
     "boldmath"
     "unboldmath"
     "newfont"
     "symbol"
     "oldstylenums"
     "mho"
     "Join"
     "Box"
     "Diamond"
     "leadsto"
     "sqsubset"
     "sqsupset"
     "lhd"
     "unlhd"
     "rhd"
     "unrhd"
     "normalsize"
     "pagenumbering"
     "ref"
     "pageref"
     "newlabel"
     "label"
     "refstepcounter"
     "ignorespacesafterend"
     "stop"
     "begin"
     "end"
     "centering"
     "raggedright"
     "raggedleft"
     "verb"
     "log"
     "lg"
     "ln"
     "lim"
     "limsup"
     "liminf"
     "sin"
     "arcsin"
     "sinh"
     "cos"
     "arccos"
     "cosh"
     "tan"
     "arctan"
     "tanh"
     "cot"
     "coth"
     "sec"
     "csc"
     "max"
     "min"
     "sup"
     "inf"
     "arg"
     "ker"
     "dim"
     "hom"
     "det"
     "exp"
     "Pr"
     "gcd"
     "deg"
     "bmod"
     "pmod"
     "bigl"
     "bigm"
     "bigr"
     "Bigl"
     "Bigm"
     "Bigr"
     "biggl"
     "biggm"
     "biggr"
     "Biggl"
     "Biggm"
     "Biggr"
     "jot"
     "interdisplaylinepenalty"
     "choose"
     "brack"
     "brace"
     "mathpalette"
     "root"
     "vphantom"
     "hphantom"
     "phantom"
     "mathstrut"
     "smash"
     "buildrel"
     "cases"
     "matrix"
     "pmatrix"
     "bordermatrix"
     "cr"
     "cr"
     "openup"
     "displaylines"
     "sp"
     "sb"
     "stackrel"
     "frac"
     "nonumber"
     "lefteqn"
     "topsep"
     "partopsep"
     "itemsep"
     "parsep"
     "leftmargin"
     "rightmargin"
     "listparindent"
     "itemindent"
     "labelwidth"
     "labelsep"
     "linewidth"
     "leftmargini"
     "leftmarginii"
     "leftmarginiii"
     "leftmarginiv"
     "leftmarginv"
     "leftmarginvi"
     "makelabel"
     "makelabel"
     "item"
     "makelabel"
     "usecounter"
     "makelabel"
     "makelabel"
     "makebox"
     "mbox"
     "width"
     "height"
     "depth"
     "totalheight"
     "normalcolor"
     "newsavebox"
     "savebox"
     "sbox"
     "noexpand"
     "noexpand"
     "usebox"
     "frame"
     "fboxrule"
     "fboxsep"
     "fbox"
     "framebox"
     "parbox"
     "hss"
     "unhbox"
     "thempfn"
     "rule"
     "underline"
     "raisebox"
     "leftline"
     "rightline"
     "centerline"
     "rlap"
     "llap"
     "tabbingsep"
     "extracolsep"
     "tabularnewline"
     "tabularnewline"
     "multicolumn"
     "protect"
     "arraycolsep"
     "tabcolsep"
     "arrayrulewidth"
     "doublerulesep"
     "arraystretch"
     "hline"
     "vline"
     "cline"
     "multispan"
     "unitlength"
     "newtheorem"
     "title"
     "author"
     "date"
     "thanks"
     "and"
     "secdef"
     "sectionmark"
     "subsectionmark"
     "subsubsectionmark"
     "paragraphmark"
     "subparagraphmark"
     "addcontentsline"
     "addtocontents"
     "label"
     "index"
     "glossary"
     "contentsline"
     "numberline"
     "caption"
     "marginpar"
     "reversemarginpar"
     "normalmarginpar"
     "footnoterule"
     "thefootnote"
     "thempfootnote"
     "footnotesep"
     "footnote"
     "footnotemark"
     "footnotetext"
     "thempfn"
     "makeindex"
     "makeindex"
     "makeglossary"
     "glossary"
     "makeglossary"
     "glossary"
     "bibitem"
     "protect"
     "bibcite"
     "citation"
     "bibdata"
     "bibstyle"
     "bibliography"
     "bibliographystyle"
     "nocite"
     "pagestyle"
     "thispagestyle"
     "markboth"
     "protect"
     "label"
     "index"
     "glossary"
     "markright"
     "protect"
     "label"
     "index"
     "glossary"
     "leftmark"
     "rightmark"
     "raggedbottom"
     "flushbottom"
     "sloppy"
     "fussy"
     "topmargin"
     "oddsidemargin"
     "evensidemargin"
     "headheight"
     "headsep"
     "footskip"
     "textheight"
     "textwidth"
     "columnwidth"
     "columnsep"
     "columnseprule"
     "marginparwidth"
     "marginparsep"
     "marginparpush"
     "paperheight"
     "paperwidth"
     "clearpage"
     "cleardoublepage"
     "onecolumn"
     "label"
     "index"
     "glossary"
     "firstmark"
     "topfraction"
     "bottomfraction"
     "textfraction"
     "floatpagefraction"
     "dbltopfraction"
     "dblfloatpagefraction"
     "floatsep"
     "textfloatsep"
     "intextsep"
     "dblfloatsep"
     "dbltextfloatsep"
     "topfigrule"
     "botfigrule"
     "dblfigrule"
     "CurrentOption"
     "ProvidesPackage"
     "ProvidesClass"
     "ProvidesFile"
     "PassOptionsToPackage"
     "PassOptionsToClass"
     "DeclareOption"
     "OptionNotUsed"
     "ProcessOptions"
     "CurrentOption"
     "ExecuteOptions"
     "documentclass"
     "documentclass"
     "usepackage"
     "documentstyle"
     "RequirePackage"
     "LoadClass"
     "LoadClassWithOptions"
     "RequirePackageWithOptions"
     "usepackage"
     "NeedsTeXFormat"
     "CurrentOption"
     "LoadClass"
     "AtEndOfPackage"
     "AtEndOfClass"
     "AtBeginDocument"
     "AtEndDocument"
     "write"
     "closeout"
     "noexpand"
     "L"
     "I"
     "T"
     "i"
     "j")
    (TeX-run-style-hooks
     "texsys"
     "fonttext"
     "fontmath"
     "preload"
     "latex209"
     "hyphen"
     "ltpatch"))))

