(TeX-add-style-hook "scrartcl"
 (function
  (lambda ()
    (LaTeX-add-environments
     '("thebibliography" 1)
     "description"
     "labeling"
     "verse"
     "quotation"
     "quote"
     "abstract"
     "abstract"
     "titlepage"
     "figure"
     "figure"
     "table"
     "table"
     "theindex")
    (TeX-add-symbols
     '("deffootnote" ["argument"] 3)
     '("maketitle" ["argument"] 0)
     '("maketitle" ["argument"] 0)
     '("deffootnotemark" 1)
     '("setcapindent" 1)
     '("marginline" 1)
     '("labelinglabel" 1)
     '("descriptionlabel" 1)
     '("minisec" 1)
     '("dedication" 1)
     '("lowertitleback" 1)
     '("uppertitleback" 1)
     '("publishers" 1)
     '("subject" 1)
     '("titlehead" 1)
     '("extratitle" 1)
     "headincludeon"
     "headincludeoff"
     "headseplineon"
     "headseplineoff"
     "footincludeon"
     "footincludeoff"
     "footseplineon"
     "footseplineoff"
     "sectionmark"
     "subsectionmark"
     "subsectionmark"
     "sectionmark"
     "subsectionmark"
     "sectionmark"
     "subsectionmark"
     "sectionmark"
     "footnotesize"
     "footnoterule"
     "footnote"
     "thanks"
     "maketitle"
     "author"
     "title"
     "extratitle"
     "titlehead"
     "subject"
     "publishers"
     "uppertitleback"
     "lowertitleback"
     "dedication"
     "date"
     "and"
     "thanks"
     "maketitle"
     "author"
     "title"
     "extratitle"
     "titlehead"
     "subject"
     "publishers"
     "uppertitleback"
     "lowertitleback"
     "dedication"
     "date"
     "and"
     "footnote"
     "part"
     "addsec"
     "section"
     "subsection"
     "subsubsection"
     "paragraph"
     "subparagraph"
     "raggedsection"
     "makelabel"
     "makelabel"
     "appendix"
     "setcapindent"
     "setcaphanging"
     "descfont"
     "sectfont"
     "pnumfont"
     "headfont"
     "capfont"
     "caplabelfont"
     "toc"
     "tableofcontents"
     "l"
     "l"
     "l"
     "l"
     "l"
     "l"
     "lof"
     "listoffigures"
     "l"
     "lot"
     "listoftables"
     "bib"
     "bibindent"
     "newblock"
     "idx"
     "item"
     "subitem"
     "subsubitem"
     "indexspace"
     "thefootnotemark"
     "contentsname"
     "listfigurename"
     "listtablename"
     "refname"
     "indexname"
     "figurename"
     "tablename"
     "partname"
     "appendixname"
     "abstractname"
     "today"
     "sectionmarkformat"
     "subsectionmarkformat"
     "partformat"
     "figureformat"
     "tableformat"
     "captionformat")
    (TeX-run-style-hooks
     "leqno"
     "fleqn"))))

