(TeX-add-style-hook "SIunits"
 (function
  (lambda ()
    (TeX-add-symbols
     '("SIunits" ["argument"] 0)
     '("rpfourth" 1)
     '("rpcubic" 1)
     '("rpsquare" 1)
     '("reciprocal" 1)
     '("fourth" 1)
     '("cubic" 1)
     '("square" 1)
     '("squaren" 1)
     '("square" 1)
     '("power" 2)
     '("unit" 2)
     '("quantityskip" 1)
     '("unitskip" 1)
     '("addunit" 2)
     "packagename"
     "packagemessage"
     "SIunits"
     "SIunits"
     "SIunits"
     "SIunits"
     "SIunits"
     "SIunits"
     "SIunits"
     "SIunits"
     "SIunits"
     "SIunits"
     "meter"
     "deka"
     "dekad"
     "NoAMS"
     "per"
     "usk"
     "qsk"
     "squared"
     "cubed"
     "rp"
     "rpsquared"
     "rpcubed"
     "yocto"
     "zepto"
     "atto"
     "femto"
     "pico"
     "nano"
     "micro"
     "milli"
     "centi"
     "deci"
     "deca"
     "hecto"
     "kilo"
     "mega"
     "giga"
     "tera"
     "peta"
     "exa"
     "zetta"
     "yotta"
     "yoctod"
     "zeptod"
     "attod"
     "femtod"
     "picod"
     "nanod"
     "microd"
     "millid"
     "centid"
     "decid"
     "decad"
     "hectod"
     "kilod"
     "megad"
     "gigad"
     "terad"
     "petad"
     "exad"
     "zettad"
     "yottad"
     "gram"
     "metre"
     "kilogram"
     "second"
     "ampere"
     "kelvin"
     "mole"
     "candela"
     "radian"
     "steradian"
     "hertz"
     "newton"
     "pascal"
     "joule"
     "watt"
     "coulomb"
     "volt"
     "farad"
     "ohm"
     "siemens"
     "weber"
     "tesla"
     "henry"
     "degreecelsius"
     "celsius"
     "lumen"
     "lux"
     "becquerel"
     "gray"
     "sievert"
     "SIunits"
     "radianbase"
     "steradianbase"
     "hertzbase"
     "newtonbase"
     "pascalbase"
     "joulebase"
     "wattbase"
     "coulombbase"
     "voltbase"
     "faradbase"
     "ohmbase"
     "siemensbase"
     "weberbase"
     "teslabase"
     "henrybase"
     "celsiusbase"
     "lumenbase"
     "luxbase"
     "becquerelbase"
     "graybase"
     "sievertbase"
     "SIunits"
     "derradian"
     "dersteradian"
     "derhertz"
     "dernewton"
     "derpascal"
     "derjoule"
     "derwatt"
     "dercoulomb"
     "dervolt"
     "derfarad"
     "derohm"
     "dersiemens"
     "derweber"
     "dertesla"
     "derhenry"
     "dercelsius"
     "derlumen"
     "derlux"
     "derbecquerel"
     "dergray"
     "dersievert"
     "minute"
     "hour"
     "dday"
     "degree"
     "paminute"
     "pasecond"
     "ton"
     "tonne"
     "liter"
     "litre"
     "curie"
     "rad"
     "arad"
     "rem"
     "roentgen"
     "electronvolt"
     "atomicmass"
     "are"
     "hectare"
     "barn"
     "bbar"
     "gal"
     "angstrom"
     "rperminute"
     "squaremetre"
     "cubicmetre"
     "graypersecond"
     "graypersecondnp"
     "metrepersquaresecond"
     "metrepersquaresecondnp"
     "joulepermole"
     "joulepermolenp"
     "molepercubicmetre"
     "molepercubicmetrenp"
     "radianpersquaresecond"
     "radianpersquaresecondnp"
     "kilogramsquaremetrepersecond"
     "kilogramsquaremetrepersecondnp"
     "radianpersecond"
     "radianpersecondnp"
     "squaremetrepercubicmetre"
     "squaremetrepercubicmetrenp"
     "coulombpermol"
     "coulombpermolnp"
     "amperepersquaremetre"
     "amperepersquaremetrenp"
     "kilogrampercubicmetre"
     "kilogrampercubicmetrenp"
     "squaremetrepernewtonsecond"
     "squaremetrepernewtonsecondnp"
     "pascalsecond"
     "coulombpercubicmetre"
     "coulombpercubicmetrenp"
     "amperemetresecond"
     "voltpermetre"
     "voltpermetrenp"
     "coulombpersquaremetre"
     "coulombpersquaremetrenp"
     "faradpermetre"
     "faradpermetrenp"
     "ohmmetre"
     "kilowatthour"
     "wattpersquaremetre"
     "wattpersquaremetrenp"
     "joulepersquaremetre"
     "joulepersquaremetrenp"
     "newtonpercubicmetre"
     "newtonpercubicmetrenp"
     "newtonperkilogram"
     "newtonperkilogramnp"
     "jouleperkelvin"
     "jouleperkelvinnp"
     "jouleperkilogram"
     "jouleperkilogramnp"
     "coulombperkilogram"
     "coulombperkilogramnp"
     "squaremetrepersecond"
     "squaremetrepersecondnp"
     "squaremetrepersquaresecond"
     "squaremetrepersquaresecondnp"
     "kilogrammetrepersecond"
     "kilogrammetrepersecondnp"
     "candelapersquaremetre"
     "candelapersquaremetrenp"
     "amperepermetre"
     "amperepermetrenp"
     "joulepertesla"
     "jouleperteslanp"
     "henrypermetre"
     "henrypermetrenp"
     "kilogrampersecond"
     "kilogrampersecondnp"
     "kilogrampersquaremetresecond"
     "kilogrampersquaremetresecondnp"
     "kilogrampersquaremetre"
     "kilogrampersquaremetrenp"
     "kilogrampermetre"
     "kilogrampermetrenp"
     "joulepermolekelvin"
     "joulepermolekelvinnp"
     "kilogramperkilomole"
     "kilogramperkilomolenp"
     "kilogramsquaremetre"
     "kilogramsquaremetrenp"
     "kilogrammetrepersquaresecond"
     "kilogrammetrepersquaresecondnp"
     "newtonpersquaremetre"
     "newtonpersquaremetrenp"
     "persquaremetresecond"
     "persquaremetresecondnp"
     "wattperkilogram"
     "wattperkilogramnp"
     "wattpercubicmetre"
     "wattpercubicmetrenp"
     "wattpersquaremetresteradian"
     "wattpersquaremetresteradiannp"
     "jouleperkilogramkelvin"
     "jouleperkilogramkelvinnp"
     "squaremetreperkilogram"
     "rpsquaremetreperkilogram"
     "cubicmetreperkilogram"
     "rpcubicmetreperkilogram"
     "newtonpermetre"
     "newtonpermetrenp"
     "Celsius"
     "wattpermetrekelvin"
     "wattpermetrekelvinnp"
     "newtonmetre"
     "newtonmetrenp"
     "squaremetrepercubicsecond"
     "squaremetrepercubicsecondnp"
     "metrepersecond"
     "metrepersecondnp"
     "joulepercubicmetre"
     "joulepercubicmetrenp"
     "kilogrampercubicmetrecoulomb"
     "kilogrampercubicmetrecoulombnp"
     "cubicmetrepersecond"
     "rpcubicmetrepersecond"
     "kilogrampersecondcubicmetre"
     "kilogrampersecondcubicmetrenp"
     "ExecuteOptions"
     "ExecuteOptions"))))

