(TeX-add-style-hook "amstex"
 (function
  (lambda ()
    (LaTeX-add-environments
     "CD"
     "cfrac"
     "multline"
     "split"
     "gathered"
     "alignedat"
     "botaligned"
     "topaligned"
     "aligned"
     "cases"
     "Vmatrix"
     "vmatrix"
     "bmatrix"
     "pmatrix"
     "smallmatrix"
     "matrix"
     "Sp"
     "Sb")
    (TeX-add-symbols
     "enddocument"
     "fmtname"
     "plainfmtversion"
     "fmtversion"
     "showallocations"
     "iterate"
     "define"
     "redefine"
     "predefine"
     "undefine"
     "pagewidth"
     "pageheight"
     "hcorrection"
     "vcorrection"
     "tie"
     "graveaccent"
     "acuteaccent"
     "tildeaccent"
     "hataccent"
     "underscore"
     "B"
     "D"
     "textfonti"
     "t"
     "flushpar"
     "textfontii"
     "lbrace"
     "rbrace"
     "AmSTeX"
     "linebreak"
     "slash"
     "allowlinebreak"
     "nolinebreak"
     "newline"
     "mathbreak"
     "nomathbreak"
     "allowmathbreak"
     "pagebreak"
     "nopagebreak"
     "newpage"
     "smallpagebreak"
     "medpagebreak"
     "bigpagebreak"
     "NoBlackBoxes"
     "BlackBoxes"
     "topspace"
     "midspace"
     "comment"
     "prime"
     "dsize"
     "tsize"
     "ssize"
     "sssize"
     "thinspace"
     "negthinspace"
     "medspace"
     "negmedspace"
     "thickspace"
     "negthickspace"
     "and"
     "implies"
     "impliedby"
     "frac"
     "dfrac"
     "tfrac"
     "thickfrac"
     "fracwithdelims"
     "thickfracwithdelims"
     "binom"
     "dbinom"
     "tbinom"
     "snug"
     "topsmash"
     "botsmash"
     "smash"
     "LimitsOnSums"
     "NoLimitsOnSums"
     "coprod"
     "bigvee"
     "bigwedge"
     "biguplus"
     "bigcap"
     "bigcup"
     "prod"
     "sum"
     "bigotimes"
     "bigoplus"
     "bigodot"
     "bigsqcup"
     "LimitsOnInts"
     "NoLimitsOnInts"
     "int"
     "oint"
     "iint"
     "iiint"
     "iiiint"
     "idotsint"
     "LimitsOnNames"
     "NoLimitsOnNames"
     "operatorname"
     "operatornamewithlimits"
     "arccos"
     "arcsin"
     "arctan"
     "arg"
     "cos"
     "cosh"
     "cot"
     "coth"
     "csc"
     "deg"
     "det"
     "dim"
     "exp"
     "gcd"
     "hom"
     "inf"
     "injlim"
     "ker"
     "lg"
     "lim"
     "liminf"
     "limsup"
     "ln"
     "log"
     "max"
     "min"
     "Pr"
     "projlim"
     "sec"
     "sin"
     "sinh"
     "sup"
     "tan"
     "tanh"
     "varinjlim"
     "varprojlim"
     "varliminf"
     "varlimsup"
     "buffer"
     "ChangeBuffer"
     "ResetBuffer"
     "shave"
     "topshave"
     "botshave"
     "vspace"
     "spreadlines"
     "spreadmatrixlines"
     "format"
     "l"
     "c"
     "r"
     "hdots"
     "spacehdots"
     "hdotsfor"
     "spaceinnerhdots"
     "innerhdotsfor"
     "TagsOnLeft"
     "TagsOnRight"
     "TagsAsMath"
     "TagsAsText"
     "thetag"
     "tag"
     "allowdisplaybreaks"
     "allowdisplaybreak"
     "displaybreak"
     "intertext"
     "align"
     "tag"
     "alignat"
     "tag"
     "xalignat"
     "tag"
     "xxalignat"
     "gather"
     "tag"
     "CenteredTagsOnSplits"
     "TopOrBottomTagsOnSplits"
     "MultlineGap"
     "multlinegap"
     "nomultlinegap"
     "shoveleft"
     "shoveright"
     "shoveleft"
     "shoveright"
     "shoveright"
     "shoveleft"
     "shoveright"
     "shoveleft"
     "bmod"
     "pmod"
     "pod"
     "mod"
     "lcfrac"
     "rcfrac"
     "overset"
     "underset"
     "oversetbrace"
     "undersetbrace"
     "sideset"
     "overrightarrow"
     "overarrow"
     "overleftarrow"
     "overleftrightarrow"
     "underrightarrow"
     "underarrow"
     "underleftarrow"
     "underleftrightarrow"
     "DOTSI"
     "DOTSB"
     "DOTSX"
     "dots"
     "dotsi"
     "ldots"
     "cdots"
     "dotso"
     "dotsb"
     "dotsm"
     "dotsc"
     "cdot"
     "longrightarrow"
     "Longrightarrow"
     "longleftarrow"
     "Longleftarrow"
     "longleftrightarrow"
     "Longleftrightarrow"
     "mapsto"
     "longmapsto"
     "hookrightarrow"
     "hookleftarrow"
     "doteq"
     "iff"
     "dddot"
     "ddddot"
     "sphat"
     "spcheck"
     "sptilde"
     "spacute"
     "spgrave"
     "spdot"
     "spddot"
     "spdddot"
     "spddddot"
     "spbreve"
     "spbar"
     "spvec"
     "oldnos"
     "text"
     "dag"
     "ddag"
     "S"
     "P"
     "textfonti"
     "textfontii"
     "textfonti"
     "textfontii"
     "textfonti"
     "textfontii"
     "textfonti"
     "textfontii"
     "rmfam"
     "topfoldedtext"
     "botfoldedtext"
     "foldedtext"
     "bold"
     "slanted"
     "roman"
     "italic"
     "Cal"
     "Gamma"
     "Delta"
     "Theta"
     "Lambda"
     "Xi"
     "Pi"
     "Sigma"
     "Upsilon"
     "Phi"
     "Psi"
     "Omega"
     "varGamma"
     "varDelta"
     "varTheta"
     "varLambda"
     "varXi"
     "varPi"
     "varSigma"
     "varUpsilon"
     "varPhi"
     "varPsi"
     "varOmega"
     "loadmsam"
     "dasharrow"
     "loadmsam"
     "loadmsbm"
     "loadmsbm"
     "widehat"
     "widetilde"
     "newsymbol"
     "UseAMSsymbols"
     "Bbb"
     "loadbold"
     "loadbold"
     "boldnotloaded"
     "boldkey"
     "boldsymbol"
     "vert"
     "Vert"
     "backslash"
     "loadeufm"
     "loadeufb"
     "loadeusm"
     "loadeusb"
     "loadeurm"
     "loadeurb"
     "frak"
     "frakfam"
     "goth"
     "loadmathfont"
     "vec"
     "Vec"
     "accentedsymbol"
     "sqrt"
     "underline"
     "overline"
     "root"
     "boxed"
     "minCDarrowwidth"
     "pretend"
     "pmb"
     "documentstyle"
     "galleys"
     "syntax"
     "printoptions"
     "noexpand"
     "plainproclaim"
     "plainfootnote"
     "proclaim"
     "footnote"
     "cal"
     "mit"
     "oldstyle")
    (TeX-run-style-hooks
     "amssym"))))

