(TeX-add-style-hook "lplain-m"
 (function
  (lambda ()
    (TeX-add-symbols
     "endline"
     "endgraf"
     "active"
     "dospecials"
     "wlog"
     "newcount"
     "newdimen"
     "newskip"
     "newmuskip"
     "newbox"
     "newtoks"
     "newhelp"
     "newtoks"
     "newread"
     "newwrite"
     "newfam"
     "newlanguage"
     "newinsert"
     "maxdimen"
     "hideskip"
     "newif"
     "noexpand"
     "noexpand"
     "inputlineno"
     "language"
     "lefthyphenmin"
     "righthyphenmin"
     "errorcontextlines"
     "holdinginserts"
     "emergencystretch"
     "badness"
     "noboundary"
     "setlanguage"
     "smallskipamount"
     "medskipamount"
     "bigskipamount"
     "normalbaselineskip"
     "normallineskip"
     "normallineskiplimit"
     "jot"
     "interdisplaylinepenalty"
     "interfootnotelinepenalty"
     "magstephalf"
     "magstep"
     "frenchspacing"
     "nonfrenchspacing"
     "normalbaselines"
     "lq"
     "rq"
     "lbrack"
     "rbrack"
     "space"
     "empty"
     "null"
     "bgroup"
     "egroup"
     "obeyspaces"
     "loop"
     "body"
     "iterate"
     "repeat"
     "thinspace"
     "negthinspace"
     "enspace"
     "enskip"
     "quad"
     "qquad"
     "smallskip"
     "medskip"
     "bigskip"
     "nointerlineskip"
     "offinterlineskip"
     "vglue"
     "hglue"
     "slash"
     "break"
     "nobreak"
     "allowbreak"
     "filbreak"
     "goodbreak"
     "eject"
     "supereject"
     "removelastskip"
     "smallbreak"
     "medbreak"
     "bigbreak"
     "leftline"
     "rightline"
     "centerline"
     "rlap"
     "llap"
     "underbar"
     "strut"
     "hidewidth"
     "ialign"
     "mscount"
     "multispan"
     "hang"
     "textindent"
     "item"
     "narrower"
     "proclaim"
     "raggedright"
     "ttraggedright"
     "ss"
     "ae"
     "oe"
     "o"
     "AE"
     "OE"
     "O"
     "i"
     "j"
     "aa"
     "l"
     "L"
     "leavevmode"
     "AA"
     "mathhexbox"
     "dag"
     "ddag"
     "S"
     "P"
     "oalign"
     "ooalign"
     "pd"
     "d"
     "pb"
     "b"
     "pc"
     "c"
     "copyright"
     "dots"
     "TeX"
     "v"
     "u"
     "H"
     "pt"
     "t"
     "hrulefill"
     "dotfill"
     "rightarrowfill"
     "leftarrowfill"
     "braceld"
     "bracerd"
     "bracelu"
     "braceru"
     "downbracefill"
     "upbracefill"
     "sp"
     "sb"
     "nxt"
     "nxt"
     "nxt"
     "alpha"
     "beta"
     "gamma"
     "delta"
     "epsilon"
     "zeta"
     "eta"
     "theta"
     "iota"
     "kappa"
     "lambda"
     "mu"
     "nu"
     "xi"
     "pi"
     "rho"
     "sigma"
     "tau"
     "upsilon"
     "phi"
     "chi"
     "psi"
     "omega"
     "varepsilon"
     "vartheta"
     "varpi"
     "varrho"
     "varsigma"
     "varphi"
     "Gamma"
     "Delta"
     "Theta"
     "Lambda"
     "Xi"
     "Pi"
     "Sigma"
     "Upsilon"
     "Phi"
     "Psi"
     "Omega"
     "aleph"
     "imath"
     "jmath"
     "ell"
     "wp"
     "Re"
     "Im"
     "partial"
     "infty"
     "prime"
     "emptyset"
     "nabla"
     "surd"
     "top"
     "bot"
     "triangle"
     "forall"
     "exists"
     "neg"
     "lnot"
     "flat"
     "natural"
     "sharp"
     "clubsuit"
     "diamondsuit"
     "heartsuit"
     "spadesuit"
     "coprod"
     "bigvee"
     "bigwedge"
     "biguplus"
     "bigcap"
     "bigcup"
     "intop"
     "int"
     "prod"
     "sum"
     "bigotimes"
     "bigoplus"
     "bigodot"
     "ointop"
     "oint"
     "bigsqcup"
     "smallint"
     "triangleleft"
     "triangleright"
     "bigtriangleup"
     "bigtriangledown"
     "wedge"
     "land"
     "vee"
     "lor"
     "cap"
     "cup"
     "ddagger"
     "dagger"
     "sqcap"
     "sqcup"
     "uplus"
     "amalg"
     "diamond"
     "bullet"
     "wr"
     "div"
     "odot"
     "oslash"
     "otimes"
     "ominus"
     "oplus"
     "mp"
     "pm"
     "circ"
     "bigcirc"
     "setminus"
     "cdot"
     "ast"
     "times"
     "star"
     "propto"
     "sqsubseteq"
     "sqsupseteq"
     "parallel"
     "mid"
     "dashv"
     "vdash"
     "nearrow"
     "searrow"
     "nwarrow"
     "swarrow"
     "Leftrightarrow"
     "Leftarrow"
     "Rightarrow"
     "leq"
     "le"
     "geq"
     "ge"
     "succ"
     "prec"
     "approx"
     "succeq"
     "preceq"
     "supset"
     "subset"
     "supseteq"
     "subseteq"
     "in"
     "ni"
     "owns"
     "gg"
     "ll"
     "not"
     "leftrightarrow"
     "leftarrow"
     "gets"
     "rightarrow"
     "to"
     "mapstochar"
     "sim"
     "simeq"
     "perp"
     "equiv"
     "asymp"
     "smile"
     "frown"
     "leftharpoonup"
     "leftharpoondown"
     "rightharpoonup"
     "rightharpoondown"
     "relbar"
     "Relbar"
     "Longrightarrow"
     "longrightarrow"
     "longleftarrow"
     "Longleftarrow"
     "longmapsto"
     "longleftrightarrow"
     "Longleftrightarrow"
     "iff"
     "ldotp"
     "cdotp"
     "colon"
     "ldots"
     "pldots"
     "cdots"
     "vdots"
     "ddots"
     "acute"
     "grave"
     "ddot"
     "tilde"
     "bar"
     "breve"
     "check"
     "hat"
     "vec"
     "dot"
     "widetilde"
     "widehat"
     "overrightarrow"
     "overleftarrow"
     "overbrace"
     "underbrace"
     "skew"
     "lmoustache"
     "rmoustache"
     "lgroup"
     "rgroup"
     "arrowvert"
     "Arrowvert"
     "bracevert"
     "Vert"
     "vert"
     "uparrow"
     "downarrow"
     "updownarrow"
     "Uparrow"
     "Downarrow"
     "Updownarrow"
     "backslash"
     "rangle"
     "langle"
     "rbrace"
     "lbrace"
     "rceil"
     "lceil"
     "rfloor"
     "lfloor"
     "bigl"
     "bigm"
     "bigr"
     "Bigl"
     "Bigm"
     "Bigr"
     "biggl"
     "biggm"
     "biggr"
     "Biggl"
     "Biggm"
     "Biggr"
     "big"
     "Big"
     "bigg"
     "Bigg"
     "biggg"
     "Biggg"
     "bigggl"
     "bigggr"
     "Bigggl"
     "Bigggr"
     "choose"
     "brack"
     "brace"
     "sqrt"
     "mathpalette"
     "root"
     "vphantom"
     "hphantom"
     "phantom"
     "mathstrut"
     "smash"
     "notin"
     "buildrel"
     "log"
     "lg"
     "ln"
     "lim"
     "limsup"
     "liminf"
     "sin"
     "arcsin"
     "sinh"
     "cos"
     "arccos"
     "cosh"
     "tan"
     "arctan"
     "tanh"
     "cot"
     "coth"
     "sec"
     "csc"
     "max"
     "min"
     "sup"
     "inf"
     "arg"
     "ker"
     "dim"
     "hom"
     "det"
     "exp"
     "Pr"
     "gcd"
     "deg"
     "bmod"
     "pmod"
     "joinrel"
     "bowtie"
     "models"
     "doteq"
     "cong"
     "angle"
     "cases"
     "pmatrix"
     "bordermatrix"
     "cr"
     "cr"
     "openup"
     "displaylines"
     "footnoterule"
     "tracingall"
     "showhyphens"
     "fmtname"
     "fmtversion")
    (TeX-run-style-hooks
     "lhyphen"
     "lfonts-mt"
     "latex"))))

