(TeX-add-style-hook "texinfo"
 (function
  (lambda ()
    (LaTeX-add-environments
     "doignore"
     "setuptable"
     "dots")
    (TeX-add-symbols
     "enddots"
     "endldots"
     "enddoublecolumns"
     "endlink"
     "endlink"
     "endxxx"
     "texinfoversion"
     "ptexb"
     "ptexbullet"
     "ptexc"
     "ptexcomma"
     "ptexdot"
     "ptexdots"
     "ptexend"
     "ptexequiv"
     "ptexexclam"
     "ptexi"
     "ptexlbrace"
     "ptexrbrace"
     "ptexstar"
     "ptext"
     "other"
     "gobble"
     "pagewidth"
     "pageheight"
     "gloggingall"
     "loggingall"
     "loggingall"
     "cropmarks"
     "outerhsize"
     "outervsize"
     "cornerlong"
     "cornerthick"
     "topandbottommargin"
     "PAGE"
     "onepageout"
     "hsize"
     "hsize"
     "pagebody"
     "ewtop"
     "nstop"
     "ewbot"
     "nsbot"
     "parsearg"
     "parseargx"
     "argremovec"
     "argremovecomment"
     "removeactivespaces"
     "flushcr"
     "inENV"
     "ENVcheck"
     "begin"
     "beginxxx"
     "end"
     "unmatchedenderror"
     "defineunmatchedend"
     "singlespaceskip"
     "singlespace"
     "mylbrace"
     "myrbrace"
     "dotaccent"
     "ringaccent"
     "tieaccent"
     "ubaraccent"
     "udotaccent"
     "questiondown"
     "exclamdown"
     "imacro"
     "jmacro"
     "dotless"
     "temp"
     "tiepenalty"
     "w"
     "group"
     "Egroup"
     "mil"
     "need"
     "needx"
     "br"
     "page"
     "exdentamount"
     "exdent"
     "exdentyyy"
     "nofillexdent"
     "nofillexdentyyy"
     "inmargin"
     "inmarginspacing"
     "strutdepth"
     "include"
     "includezzz"
     "thisfile"
     "thisfile"
     "center"
     "centerzzz"
     "sp"
     "spxxx"
     "comment"
     "c"
     "asisword"
     "noneword"
     "paragraphindent"
     "doparagraphindent"
     "temp"
     "exampleindent"
     "doexampleindent"
     "temp"
     "asis"
     "implicitmath"
     "math"
     "bullet"
     "minus"
     "refill"
     "novalidate"
     "setfilename"
     "setfilename"
     "temp"
     "temp"
     "openindices"
     "bye"
     "tempnum"
     "lnkcount"
     "filenamelength"
     "pgn"
     "pdfmkdest"
     "pdfurl"
     "linkcolor"
     "pdfmakeoutlines"
     "dopdfimage"
     "imagewidth"
     "imageheight"
     "pdfmkdest"
     "pdfmkpgn"
     "linkcolor"
     "expnumber"
     "advancenumber"
     "pdfmakeoutlines"
     "tt"
     "chapentry"
     "unnumbchapentry"
     "secentry"
     "unnumbsecentry"
     "subsecentry"
     "unnumbsubsecentry"
     "subsubsecentry"
     "unnumbsubsubsecentry"
     "chapentry"
     "unnumbchapentry"
     "secentry"
     "unnumbsecentry"
     "subsecentry"
     "unnumbsubsecentry"
     "subsubsecentry"
     "unnumbsubsubsecentry"
     "makelinks"
     "params"
     "E"
     "nextmakelinks"
     "nextmakelinks"
     "picknum"
     "pn"
     "p"
     "nextpn"
     "nextpn"
     "first"
     "ppn"
     "ppnn"
     "pdfmklnk"
     "addtokens"
     "skipspaces"
     "PP"
     "D"
     "nextsp"
     "nextsp"
     "getfilename"
     "pdfurl"
     "pdfgettoks"
     "addtokens"
     "adn"
     "poptoks"
     "first"
     "maketoks"
     "makelink"
     "pdflink"
     "mkpgn"
     "done"
     "sf"
     "li"
     "ttsl"
     "mainmagstep"
     "setfont"
     "fontprefix"
     "rmshape"
     "rmbshape"
     "bfshape"
     "bxshape"
     "ttshape"
     "ttbshape"
     "ttslshape"
     "itshape"
     "itbshape"
     "slshape"
     "slbshape"
     "sfshape"
     "sfbshape"
     "scshape"
     "scbshape"
     "mainmagstep"
     "texti"
     "textsy"
     "df"
     "tentt"
     "tenbf"
     "smalli"
     "smallsy"
     "titlebf"
     "titlei"
     "titlesy"
     "authorrm"
     "chapbf"
     "chapi"
     "chapsy"
     "secbf"
     "seci"
     "secsy"
     "ssecbf"
     "sseci"
     "ssecsy"
     "resetmathfonts"
     "textfonts"
     "tenrm"
     "tenit"
     "tensl"
     "tenbf"
     "tentt"
     "smallcaps"
     "tensf"
     "teni"
     "tensy"
     "tenttsl"
     "titlefonts"
     "tenrm"
     "tenit"
     "tensl"
     "tenbf"
     "tentt"
     "smallcaps"
     "tensf"
     "teni"
     "tensy"
     "tenttsl"
     "titlefont"
     "chapfonts"
     "tenrm"
     "tenit"
     "tensl"
     "tenbf"
     "tentt"
     "smallcaps"
     "tensf"
     "teni"
     "tensy"
     "tenttsl"
     "secfonts"
     "tenrm"
     "tenit"
     "tensl"
     "tenbf"
     "tentt"
     "smallcaps"
     "tensf"
     "teni"
     "tensy"
     "tenttsl"
     "subsecfonts"
     "tenrm"
     "tenit"
     "tensl"
     "tenbf"
     "tentt"
     "smallcaps"
     "tensf"
     "teni"
     "tensy"
     "tenttsl"
     "subsubsecfonts"
     "smallfonts"
     "tenrm"
     "tenit"
     "tensl"
     "tenbf"
     "tentt"
     "smallcaps"
     "tensf"
     "teni"
     "tensy"
     "tenttsl"
     "angleleft"
     "angleright"
     "fontdepth"
     "smartitalicx"
     "smartslanted"
     "smartitalic"
     "i"
     "var"
     "dfn"
     "emph"
     "cite"
     "b"
     "strong"
     "nohyphenation"
     "restorehyphenation"
     "t"
     "ttfont"
     "samp"
     "keysy"
     "key"
     "ctrl"
     "file"
     "option"
     "tclose"
     "code"
     "indexbreaks"
     "realdash"
     "codedash"
     "codeunder"
     "codex"
     "kbdinputstyle"
     "kbdinputstylexxx"
     "arg"
     "worddistinct"
     "wordexample"
     "wordcode"
     "xkey"
     "kbdfoo"
     "one"
     "three"
     "threex"
     "url"
     "env"
     "command"
     "uref"
     "douref"
     "email"
     "doemail"
     "email"
     "ifmonospace"
     "dmn"
     "kbd"
     "look"
     "r"
     "sc"
     "ii"
     "acronym"
     "pounds"
     "titlepagetopglue"
     "titlepagebottomglue"
     "setcontentsaftertitlepage"
     "setshortcontentsaftertitlepage"
     "shorttitlepage"
     "shorttitlepagezzz"
     "titlepage"
     "subtitlerm"
     "subtitlefont"
     "authorfont"
     "title"
     "titlezzz"
     "subtitle"
     "subtitlezzz"
     "author"
     "authorzzz"
     "oldpage"
     "page"
     "page"
     "Etitlepage"
     "shortcontents"
     "contents"
     "contents"
     "shortcontents"
     "finishtitlepage"
     "thispage"
     "HEADINGShook"
     "evenheading"
     "oddheading"
     "everyheading"
     "evenfooting"
     "oddfooting"
     "everyfooting"
     "headings"
     "HEADINGSoff"
     "HEADINGSdouble"
     "contentsalignmacro"
     "contentsalignmacro"
     "HEADINGSsingle"
     "contentsalignmacro"
     "HEADINGSon"
     "HEADINGSafter"
     "HEADINGShook"
     "HEADINGSdoubleafter"
     "HEADINGSdoublex"
     "contentsalignmacro"
     "HEADINGSsingleafter"
     "HEADINGShook"
     "HEADINGSsinglex"
     "contentsalignmacro"
     "today"
     "thistitle"
     "settitle"
     "settitlezzz"
     "tableindent"
     "itemindent"
     "itemmargin"
     "itemmax"
     "itemxpar"
     "internalBitem"
     "internalBitemx"
     "internalBxitem"
     "xitemsubtopix"
     "internalBxitemx"
     "xitemsubtopix"
     "internalBkitem"
     "internalBkitemx"
     "kitemzzz"
     "xitemzzz"
     "itemzzz"
     "item"
     "itemx"
     "kitem"
     "kitemx"
     "xitem"
     "xitemx"
     "description"
     "table"
     "ftable"
     "Eftable"
     "Etable"
     "vtable"
     "Evtable"
     "Etable"
     "dontindex"
     "fnitemindex"
     "vritemindex"
     "tablez"
     "Edescription"
     "itemindex"
     "itemfont"
     "Etable"
     "item"
     "itemx"
     "kitem"
     "kitemx"
     "xitem"
     "xitemx"
     "itemize"
     "itemizezzz"
     "itemizey"
     "itemcontents"
     "item"
     "frenchspacing"
     "splitoff"
     "first"
     "rest"
     "enumerate"
     "enumeratezzz"
     "enumeratey"
     "thearg"
     "thearg"
     "numericenumerate"
     "lowercaseenumerate"
     "uppercaseenumerate"
     "startenumeration"
     "alphaenumerate"
     "capsenumerate"
     "Ealphaenumerate"
     "Ecapsenumerate"
     "itemizeitem"
     "multitableparskip"
     "multitableparindent"
     "multitablecolspace"
     "multitablelinespace"
     "xendsetuptable"
     "columnfractions"
     "xcolumnfractions"
     "pickupwholefraction"
     "colcount"
     "firstarg"
     "go"
     "go"
     "go"
     "go"
     "tab"
     "multitable"
     "dotable"
     "item"
     "Emultitable"
     "setmultitablespacing"
     "multistrut"
     "ignoresections"
     "chapter"
     "unnumbered"
     "top"
     "unnumberedsec"
     "unnumberedsection"
     "unnumberedsubsec"
     "unnumberedsubsection"
     "unnumberedsubsubsec"
     "unnumberedsubsubsection"
     "section"
     "subsec"
     "subsubsec"
     "subsection"
     "subsubsection"
     "appendix"
     "appendixsec"
     "appendixsection"
     "appendixsubsec"
     "appendixsubsection"
     "appendixsubsubsec"
     "appendixsubsubsection"
     "contents"
     "smallbook"
     "titlepage"
     "ignoremorecommands"
     "defcodeindex"
     "defcv"
     "deffn"
     "deffnx"
     "defindex"
     "defivar"
     "defmac"
     "defmethod"
     "defop"
     "defopt"
     "defspec"
     "deftp"
     "deftypefn"
     "deftypefun"
     "deftypeivar"
     "deftypeop"
     "deftypevar"
     "deftypevr"
     "defun"
     "defvar"
     "defvr"
     "ref"
     "xref"
     "printindex"
     "pxref"
     "settitle"
     "setchapternewpage"
     "setchapterstyle"
     "everyheading"
     "evenheading"
     "oddheading"
     "everyfooting"
     "evenfooting"
     "oddfooting"
     "headings"
     "include"
     "lowersections"
     "down"
     "raisesections"
     "up"
     "set"
     "clear"
     "item"
     "ignore"
     "ifinfo"
     "ifhtml"
     "ifnottex"
     "html"
     "menu"
     "direntry"
     "dircategory"
     "doignoretext"
     "obstexwarn"
     "nestedignore"
     "tenrm"
     "tenit"
     "tensl"
     "tenbf"
     "tentt"
     "smallcaps"
     "tensf"
     "smallrm"
     "smallit"
     "smallsl"
     "smallbf"
     "smalltt"
     "smallsc"
     "smallsf"
     "tex"
     "macro"
     "set"
     "setxxx"
     "setyyy"
     "temp"
     "setzzz"
     "clear"
     "clearxxx"
     "valuexxx"
     "expandablevalue"
     "ifset"
     "ifsetxxx"
     "ifsetsucceed"
     "ifsetfail"
     "ifclear"
     "ifclearxxx"
     "ifclearsucceed"
     "ifclearfail"
     "iftex"
     "ifnothtml"
     "ifnotinfo"
     "conditionalsucceed"
     "nece"
     "nece"
     "nece"
     "nece"
     "definfoenclose"
     "newindex"
     "defindex"
     "newcodeindex"
     "defcodeindex"
     "synindex"
     "syncodeindex"
     "doindex"
     "singleindexer"
     "docodeindex"
     "singlecodeindexer"
     "indexdummies"
     "b"
     "c"
     "d"
     "u"
     "v"
     "H"
     "oe"
     "ae"
     "aa"
     "OE"
     "AE"
     "AA"
     "o"
     "O"
     "l"
     "L"
     "ss"
     "w"
     "bf"
     "sl"
     "sf"
     "tt"
     "gtr"
     "less"
     "hat"
     "TeX"
     "result"
     "equiv"
     "expansion"
     "print"
     "error"
     "point"
     "copyright"
     "tclose"
     "code"
     "uref"
     "url"
     "env"
     "command"
     "option"
     "dotless"
     "samp"
     "t"
     "r"
     "i"
     "b"
     "sc"
     "cite"
     "key"
     "file"
     "var"
     "kbd"
     "dfn"
     "emph"
     "acronym"
     "value"
     "indexdummyfont"
     "indexdummytex"
     "indexdummydots"
     "indexnofonts"
     "b"
     "c"
     "d"
     "u"
     "v"
     "H"
     "dotless"
     "oe"
     "ae"
     "aa"
     "OE"
     "AE"
     "AA"
     "o"
     "O"
     "l"
     "L"
     "ss"
     "w"
     "t"
     "r"
     "i"
     "b"
     "emph"
     "strong"
     "cite"
     "sc"
     "tclose"
     "code"
     "url"
     "uref"
     "env"
     "acronym"
     "command"
     "option"
     "file"
     "samp"
     "kbd"
     "key"
     "var"
     "TeX"
     "indexbackslash"
     "SETmarginindex"
     "emptymacro"
     "doind"
     "dosubind"
     "folio"
     "rawbackslashxx"
     "thirdarg"
     "subentry"
     "subentry"
     "findex"
     "kindex"
     "cindex"
     "vindex"
     "tindex"
     "pindex"
     "cindexsub"
     "printindex"
     "doprintindex"
     "indexbackslash"
     "initial"
     "tentt"
     "tt"
     "sf"
     "entry"
     "tempa"
     "tempb"
     "indexdotfill"
     "primary"
     "secondaryindent"
     "secondary"
     "doublecolumnhsize"
     "begindoublecolumns"
     "doublecolumnout"
     "pagesofar"
     "balancecolumns"
     "chapno"
     "secno"
     "subsecno"
     "subsubsecno"
     "appendixno"
     "appendixletter"
     "thischapter"
     "thissection"
     "absseclevel"
     "secbase"
     "raisesections"
     "up"
     "lowersections"
     "down"
     "numhead"
     "apphead"
     "unnmhead"
     "thischaptername"
     "chapter"
     "chapteryyy"
     "chapterzzz"
     "section"
     "subsection"
     "subsubsection"
     "appendix"
     "appendixyyy"
     "appendixzzz"
     "section"
     "subsection"
     "subsubsection"
     "centerchap"
     "centerchapyyy"
     "unnumbchapmacro"
     "top"
     "unnumbered"
     "unnumberedyyy"
     "unnumberedzzz"
     "section"
     "subsection"
     "subsubsection"
     "numberedsec"
     "secyyy"
     "seczzz"
     "appendixsection"
     "appendixsec"
     "appendixsecyyy"
     "appendixsectionzzz"
     "unnumberedsec"
     "unnumberedsecyyy"
     "unnumberedseczzz"
     "numberedsubsec"
     "numberedsubsecyyy"
     "numberedsubseczzz"
     "appendixsubsec"
     "appendixsubsecyyy"
     "appendixsubseczzz"
     "unnumberedsubsec"
     "unnumberedsubsecyyy"
     "unnumberedsubseczzz"
     "numberedsubsubsec"
     "numberedsubsubsecyyy"
     "numberedsubsubseczzz"
     "appendixsubsubsec"
     "appendixsubsubsecyyy"
     "appendixsubsubseczzz"
     "unnumberedsubsubsec"
     "unnumberedsubsubsecyyy"
     "unnumberedsubsubseczzz"
     "infotop"
     "infounnumbered"
     "infounnumberedsec"
     "infounnumberedsubsec"
     "infounnumberedsubsubsec"
     "infoappendix"
     "infoappendixsec"
     "infoappendixsubsec"
     "infoappendixsubsubsec"
     "infochapter"
     "infosection"
     "infosubsection"
     "infosubsubsection"
     "section"
     "subsection"
     "subsubsection"
     "majorheading"
     "majorheadingzzz"
     "chapheading"
     "chapheadingzzz"
     "heading"
     "subheading"
     "subsubheading"
     "dobreak"
     "setchapterstyle"
     "chapheadingskip"
     "chapbreak"
     "chappager"
     "chapoddpage"
     "setchapternewpage"
     "CHAPPAGoff"
     "contentsalignmacro"
     "pchapsepmacro"
     "pagealignmacro"
     "CHAPPAGon"
     "contentsalignmacro"
     "pchapsepmacro"
     "pagealignmacro"
     "HEADINGSon"
     "CHAPPAGodd"
     "contentsalignmacro"
     "pchapsepmacro"
     "pagealignmacro"
     "HEADINGSon"
     "CHAPFplain"
     "chapmacro"
     "unnumbchapmacro"
     "centerchapmacro"
     "chfplain"
     "chapnum"
     "unnchfplain"
     "centerparametersmaybe"
     "centerchfplain"
     "centerparametersmaybe"
     "unnchfopen"
     "chfopen"
     "centerchfopen"
     "CHAPFopen"
     "chapmacro"
     "unnumbchapmacro"
     "centerchapmacro"
     "secheadingskip"
     "secheadingbreak"
     "secheading"
     "plainsecheading"
     "subsecheadingbreak"
     "subsecheading"
     "plainsubsecheading"
     "subsubsecheadingskip"
     "subsubsecheadingbreak"
     "subsubsecheading"
     "plainsubsubsecheading"
     "sectionheading"
     "secnum"
     "writetocentry"
     "contentsrightmargin"
     "savepageno"
     "lastnegativepageno"
     "startcontents"
     "thischapter"
     "contents"
     "summarycontents"
     "chapentry"
     "unnumbchapentry"
     "rm"
     "bf"
     "sl"
     "secentry"
     "unnumbsecentry"
     "subsecentry"
     "unnumbsubsecentry"
     "subsubsecentry"
     "unnumbsubsubsecentry"
     "shortcontents"
     "chapentry"
     "shortchapentry"
     "shortappendixwidth"
     "shortchaplabel"
     "unnumbchapentry"
     "shortunnumberedentry"
     "secentry"
     "unnumbsecentry"
     "subsecentry"
     "unnumbsubsecentry"
     "subsubsecentry"
     "unnumbsubsubsecentry"
     "tocindent"
     "dochapentry"
     "dosecentry"
     "dosubsecentry"
     "dosubsubsecentry"
     "tocentry"
     "labelspace"
     "dopageno"
     "doshortpageno"
     "chapentryfonts"
     "secentryfonts"
     "subsecentryfonts"
     "subsubsecentryfonts"
     "point"
     "result"
     "expansion"
     "print"
     "equiv"
     "error"
     "tex"
     "b"
     "bullet"
     "c"
     "equiv"
     "i"
     "t"
     "Etex"
     "lispnarrowing"
     "lisppar"
     "obeyedspace"
     "envskipamount"
     "aboveenvbreak"
     "afterenvbreak"
     "nonarrowing"
     "circle"
     "circthick"
     "cartinner"
     "normbskip"
     "normlskip"
     "ctl"
     "ctr"
     "cbl"
     "cbr"
     "carttop"
     "cartbot"
     "rskip"
     "cartouche"
     "nonarrowing"
     "Ecartouche"
     "nonfillstart"
     "exdent"
     "nonarrowing"
     "nonfillfinish"
     "lisp"
     "Elisp"
     "kbdfont"
     "example"
     "Eexample"
     "smalldisplay"
     "Esmalldisplay"
     "smallexample"
     "Esmallexample"
     "smallformat"
     "Esmallformat"
     "smalllisp"
     "Esmalllisp"
     "smalllispx"
     "Esmalllisp"
     "Esmallexample"
     "display"
     "Edisplay"
     "smalldisplayx"
     "Esmalldisplay"
     "format"
     "nonarrowing"
     "Eformat"
     "smallformatx"
     "Esmallformat"
     "flushleft"
     "Eflushleft"
     "flushright"
     "nonarrowing"
     "Eflushright"
     "quotation"
     "Equotation"
     "nonarrowing"
     "setdeffont"
     "defbodyindent"
     "defargsindent"
     "deftypemargin"
     "deflastargmargin"
     "parencount"
     "activeparens"
     "lparen"
     "rparen"
     "opnr"
     "clnr"
     "ampnr"
     "lbrb"
     "rbrb"
     "defname"
     "defparsebody"
     "defmethparsebody"
     "deftypemethparsebody"
     "deftypeopparsebody"
     "defopparsebody"
     "defvarparsebody"
     "parsebodycommon"
     "defvrparsebody"
     "deftpparsebody"
     "removeemptybraces"
     "parsetpheaderline"
     "defopvarparsebody"
     "defunargs"
     "deftypefunargs"
     "deffn"
     "deffnheader"
     "defun"
     "defunheader"
     "deftypefun"
     "deftypefunheader"
     "deftypefunheaderx"
     "deftypefn"
     "defheaderxcond"
     "deftypefnheader"
     "deftypefnheaderx"
     "defmac"
     "defmacheader"
     "defspec"
     "defspecheader"
     "defop"
     "defoptype"
     "defopheader"
     "deftypeop"
     "deftypeopcategory"
     "deftypeopheader"
     "deftypemethod"
     "deftypemethodheader"
     "deftypeivar"
     "deftypeivarheader"
     "defmethod"
     "defmethodheader"
     "defcv"
     "defcvtype"
     "defcvarheader"
     "defivar"
     "defivarheader"
     "defvarargs"
     "defvr"
     "defvrheader"
     "defvar"
     "defvarheader"
     "defopt"
     "defoptheader"
     "deftypevar"
     "deftypevarheader"
     "dovarind"
     "deftypevr"
     "deftypevrheader"
     "deftpargs"
     "deftp"
     "deftpheader"
     "defcvx"
     "deffnx"
     "defivarx"
     "defmacx"
     "defmethodx"
     "defoptx"
     "defopx"
     "defspecx"
     "deftpx"
     "deftypefnx"
     "deftypefunx"
     "deftypeivarx"
     "deftypemethodx"
     "deftypeopx"
     "deftypevarx"
     "deftypevrx"
     "defunx"
     "defvarx"
     "defvrx"
     "scanmacro"
     "xeatspaces"
     "scanmacro"
     "xeatspaces"
     "paramno"
     "macrolist"
     "cslet"
     "unbrace"
     "macrobodyctxt"
     "macroargctxt"
     "macro"
     "rmacro"
     "macroxxx"
     "unmacro"
     "unmacroxxx"
     "tempb"
     "newmacrolist"
     "macrolist"
     "getargs"
     "getargsxxx"
     "getmacname"
     "getmacargs"
     "argl"
     "parsemargdef"
     "paramlist"
     "hash"
     "xeatspaces"
     "parsemargdefxxx"
     "parsemacbody"
     "parsermacbody"
     "defmacro"
     "hash"
     "norecurse"
     "braceorline"
     "braceorlinexxx"
     "turnoffmacros"
     "noexpand"
     "alias"
     "aliasxxx"
     "aliasyyy"
     "inforef"
     "inforefzzz"
     "node"
     "nodezzz"
     "nodexxx"
     "nwnode"
     "lastnode"
     "donoderef"
     "lastnode"
     "unnumbnoderef"
     "lastnode"
     "appendixnoderef"
     "lastnode"
     "savesfregister"
     "setref"
     "pxref"
     "xref"
     "ref"
     "xrefX"
     "printedmanual"
     "printednodename"
     "printednodename"
     "printednodename"
     "printednodename"
     "printednodename"
     "dosetq"
     "folio"
     "internalsetq"
     "Ypagenumber"
     "Ytitle"
     "Ynothing"
     "Ysectionnumberandtype"
     "Yappendixletterandtype"
     "linenumber"
     "linenumber"
     "refx"
     "xrdef"
     "readauxfile"
     "loop"
     "supereject"
     "footnotestyle"
     "ptexfootnote"
     "lineskipfactor"
     "strutheightpercent"
     "strutdepthpercent"
     "setleading"
     "finalout"
     "epsfannounce"
     "image"
     "imagexxx"
     "documentlanguage"
     "dodocumentlanguage"
     "temp"
     "temp"
     "documentencoding"
     "defaultparindent"
     "setemergencystretch"
     "emergencystretch"
     "internalpagesizes"
     "letterpaper"
     "smallbook"
     "smalldisplay"
     "smallexample"
     "smallformat"
     "smalllisp"
     "afourpaper"
     "afourlatex"
     "afourwide"
     "pagesizes"
     "pagesizesxxx"
     "pagesizesyyy"
     "normaldoublequote"
     "normaltilde"
     "normalcaret"
     "normalunderscore"
     "normalverticalbar"
     "normalless"
     "normalgreater"
     "normalplus"
     "normaldollar"
     "ifusingtt"
     "ifusingit"
     "activedoublequote"
     "hat"
     "otherifyactive"
     "rawbackslashxx"
     "normalbackslash")
    (TeX-run-style-hooks
     "plain"
     "texinfo"
     "pdfcolor"
     "epsf"
     "txi-"))))

